Bug 1459490 (CVE-2017-9465) - CVE-2017-9465 yara: Buffer over-read in yr_arena_write_data function
Summary: CVE-2017-9465 yara: Buffer over-read in yr_arena_write_data function
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-9465
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1459491 1459492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-07 09:42 UTC by Adam Mariš
Modified: 2019-09-29 14:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:14:52 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-06-07 09:42:42 UTC
The yr_arena_write_data function in YARA 3.6.1 allows remote attackers to cause a denial of service (buffer over-read and application crash) or obtain sensitive information from process memory via a crafted file that is mishandled in the yr_re_fast_exec function in libyara/re.c and the _yr_scan_match_callback function in libyara/scan.c.

Upstream bug:

https://github.com/VirusTotal/yara/issues/678

Comment 1 Adam Mariš 2017-06-07 09:43:14 UTC
Created yara tracking bugs for this issue:

Affects: epel-all [bug 1459491]
Affects: fedora-all [bug 1459492]

Comment 2 Product Security DevOps Team 2019-06-08 03:14:52 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.